summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-09-09 16:04:40 +0000
committerMike Frysinger <vapier@gentoo.org>2007-09-09 16:04:40 +0000
commit230421384a6be1239b390fc12f73b0b223705609 (patch)
tree62fbc0991c8591e96d9cabf9eedd8876507e1c27 /init.d
parent06ae2e5593fe6b3dac1b2d18e244a08b54da14e1 (diff)
downloadopenrc-230421384a6be1239b390fc12f73b0b223705609.tar.gz
openrc-230421384a6be1239b390fc12f73b0b223705609.tar.bz2
openrc-230421384a6be1239b390fc12f73b0b223705609.tar.xz
Allow people to specify a list of early mount points which will be mounted at the end of localmount so they can do tmpfs on things like /tmp #181527.
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/localmount6
1 files changed, 6 insertions, 0 deletions
diff --git a/init.d/localmount b/init.d/localmount
index 06a1979..589ee07 100755
--- a/init.d/localmount
+++ b/init.d/localmount
@@ -143,6 +143,12 @@ start() {
eend $?
fi
+ for x in ${EARLY_MOUNTS} ; do
+ ebegin "Early mounting ${x}"
+ mount ${x}
+ eend $?
+ done
+
# Always return 0 - some local mounts may not be critical for boot
return 0
}